Bug 822109 (CVE-2011-3102)

Summary: CVE-2011-3102 libxml: An off-by-one out-of-bounds write by XPointer part evaluation
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ohudlick, paul, security-response-team, veillard
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120515,reported=20120515,source=cve,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-5/libxml2=affected,rhel-6/libxml2=affected,rhel-6/mingw32-libxml2=affected,fedora-all/libxml2=affected,fedora-all/libxml=notaffected,epel-5/mingw32-libxml2=affected,fedora-all/mingw32-libxml2=affected,cwe=CWE-787[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 12:11:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 822171, 843739, 843740, 843741, 843742, 858914, 858915, 891477, 891478    
Bug Blocks: 822110, 835864, 891480    

Description Jan Lieskovsky 2012-05-16 06:56:13 EDT
An off-by-one out-of-bounds write flaw was found in the way libxml, a library for providing XML and HTML support, evaluated certain XPointer parts (XPointer is used by libxml to include only the part from the returned XML document, that can be accessed using the XPath expression given with the XPointer). A remote attacker could provide a specially-crafted XML file, which once opened in an application, linked against libxml, would lead to that application crash, or, potentially arbitrary code execution with the privileges of the user running the application.

Note: The flaw to be exploited requires the particular application, linked against libxml, to use the XPointer evaluation functionality.

References:
[1] http://googlechromereleases.blogspot.com/2012/05/stable-channel-update.html
[2] http://www.securitytracker.com/id/1027067
Comment 3 Jan Lieskovsky 2012-05-16 07:32:37 EDT
This issue affects the versions of the libxml2 package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the libxml2 package, as shipped with Fedora release of 15 and 16.

--

This issue did NOT affect the versions of the libxml package, as shipped with Fedora release of 15 and 16.
Comment 10 Jan Lieskovsky 2012-05-16 10:32:58 EDT
Created libxml2 tracking bugs for this issue

Affects: fedora-all [bug 822171]
Comment 13 errata-xmlrpc 2012-09-18 13:21:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1288 https://rhn.redhat.com/errata/RHSA-2012-1288.html
Comment 14 Huzaifa S. Sidhpurwala 2012-09-19 22:41:06 EDT
Created mingw32-libxml2 tracking bugs for this issue

Affects: epel-5 [bug 858914]
Affects: fedora-all [bug 858915]
Comment 17 errata-xmlrpc 2013-01-31 14:33:36 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0217 https://rhn.redhat.com/errata/RHSA-2013-0217.html
Comment 18 Vincent Danen 2015-08-22 12:12:06 EDT
Statement:

(none)